(function setup() {

var sentryId = "66e90dac3a594415ba30098b9f9fcac4"
var sentryServer = "https://app.getsentry.com/92817"

// Template variables, replaced in Framer
var proxyServer = "{{ proxy }}"
var userEmail = "{{ userEmail }}"
var userName = "{{ userName }}"
var userId = "{{ userId }}"

// Add the sentry key to the server url
var dsn = proxyServer.replace("://", "://" + sentryId + "@") + "/" + sentryServer

if (!window.Raven) {
	return console.log("Raven not loaded, skipping Sentry setup (this is likely a debug build)")
}

console.log("Loading Sentry for", dsn)

// Configure Sentry
Raven.config(dsn, {
	environment: Vekter.build.type,
	release: Vekter.build.version,
	dataCallback: function(data) {
		data.extra["document"] = JSON.stringify(Vekter.serializeDocument())
		return data
	},
}).install()

// Set user context
Raven.setUserContext({
    email: userEmail,
    namer: userName,
	id: userId
})

// Show bug report dialog when ctrl-alt-cmd-B is pressed
window.addEventListener("keydown", function(event) {
	if (event.metaKey && event.ctrlKey && event.altKey && String.fromCharCode(event.which) === "B") {
		var report = prompt("What’s wrong?")
		if (report !== null) {
			Raven.captureMessage(report)
		}
		event.preventDefault()
	}
})

Vekter.dispatcher.register(function(payload) {
	Raven.captureBreadcrumb({
		category: "dispatcher",
		data: JSON.parse(JSON.stringify(payload))
	})
	return "__sentry__"
})

})()
